# Squarespace::Sync

Sync files to and from a [Squarespace Developer](http://developers.squarespace.com) site over SFTP.

## Installation

Add this line to your application's Gemfile:

    gem 'squarespace-sync'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install squarespace-sync

## Usage

Setup the configuration YAML file for your Squarespace Developer account SFTP settings:

```
$ squarespace setup
```

Update `squarespace.yaml` with your account settings, and then you can run either of these commands:

Pull all files or a single file from Squarespace. Warns if there are conflicts

```
$ squarespace pull
$ squarespace pull template.conf
```

Push all files or a single file to Squarespace, overwriting existing

```
$ squarespace push
$ squarespace push template.conf
```


## Contributing

1. Fork it
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
