# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'squarespace/sync/version'

Gem::Specification.new do |spec|
  spec.name          = "squarespace-sync"
  spec.version       = Squarespace::Sync::VERSION
  spec.authors       = ["jordanandree"]
  spec.email         = ["jordanandree@gmail.com"]
  spec.description   = %q{Sync files to and from a Squarespace Developer site over SFTP}
  spec.summary       = %q{Sync files to and from a Squarespace Developer site}
  spec.homepage      = "http://github.com/jordanandree/squarespace-sync"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "thor", "~> 0.18.1"
  spec.add_dependency "net-sftp", "~> 2.1.2"

  spec.add_development_dependency "rake"
  spec.add_development_dependency "rspec"
end
